当前位置:论坛首页 > Linux面板 > 求助

【已完成】面板无法更新

发表在 Linux面板2024-1-3 13:58 [复制链接] 4 433

为了能快速了解并处理您的问题,请提供以下基础信息:
面板、插件版本:8.0.1
系统版本:CentOS7.9

LSB Version:    :core-4.1-amd64:core-4.1-noarch
Distributor ID: CentOS
Description:    CentOS Linux release 7.7.1908 (Core)
Release:        7.7.1908
Codename:       Core
问题描述:面板无法更新
相关截图(日志、错误):点击后有如下错误信息 111.png

使用道具 举报 只看该作者 回复
发表于 2024-1-3 13:59:53 | 显示全部楼层
重启,修复都点击试过了,无法解决
使用道具 举报 回复 支持 反对
发表于 2024-1-3 14:05:52 | 显示全部楼层
yljphp 发表于 2024-1-3 13:59
重启,修复都点击试过了,无法解决

您好,根据您的截图分析:
疑似在更新的过程中有些依赖未安装成功或者因为连接不到我们的节点更新失败
1、您到服务器SSH终端里执行下切换安装节点的操作
  1. curl -k -sSO http://101.37.149.22:5880/new/auto_node.sh && bash auto_node.sh
复制代码

2、然后在执行将当前Python环境做个备份的操作
  1. mv /www/server/panel/pyenv/ /www/backup/pyenv_backup
复制代码
3、重新执行更新命令,重新安装面板使用的python环境,此操作不会对您的网站、数据库等造成影响,仅仅是针对面板使用的环境修复。
  1. curl https://download.bt.cn/install/update_panel.sh|bash
复制代码

如果提示连接不上的话
我这里把脚本放到了gitee上托管,您可以到gitee上下载
1、安装git
Ubuntu和Debian使用这个命令:
  1. apt install git -y
复制代码
CentOS系列使用这个命令
  1. yum install git -y
复制代码
2、克隆脚本
  1. git clone https://gitee.com/bt_dapao/btpanelnode.git
复制代码
3、执行脚本
  1. cd btpanelnode
  2. bash auto_node.sh
复制代码
使用道具 举报 回复 支持 反对
发表于 2024-1-3 14:15:11 | 显示全部楼层
大炮运维V587 发表于 2024-1-3 14:05
您好,根据您的截图分析:
疑似在更新的过程中有些依赖未安装成功或者因为连接不到我们的节点更新失败
1 ...

执行第一步就修复成了,已经完成更新,谢谢
使用道具 举报 回复 支持 反对
发表于 2024-4-3 18:31:39 | 显示全部楼层
yljphp 发表于 2024-1-3 14:15
执行第一步就修复成了,已经完成更新,谢谢

好的,感谢您对宝塔的支持。
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

企业版年付运维跟进群

普通问题处理

论坛响应时间:72小时

问题处理方式:排队(仅解答)

工作时间:白班:9:00 - 18:00

紧急问题处理

论坛响应时间:10分钟

问题处理方式:1对1处理(优先)

工作时间:白班:9:00 - 18:00

工作时间:晚班:18:00 - 24:00

立即付费处理
快速回复 返回顶部 返回列表